package merlin

  1. Overview
  2. No Docs
Editor helper, provides completion, typing and source browsing in Vim and Emacs

Install

Dune Dependency

Authors

Maintainers

Sources

merlin-4.13.1-501.tbz
sha256=3557e05f70c5b108210291205a294282be4ed964a4c0ab5e9d9645489d70c1ad
sha512=e274ed87affabf2c91db81dafadbc519ddb1da2a2ebbe55d2985d82ea32b93a5651a4e6ac718e5c55d179025efaeb5babdb4cb53080eb2c5a65b147c22bd2719

Description

Merlin is an assistant for editing OCaml code. It aims to provide the features available in modern IDEs: error reporting, auto completion, source browsing and much more.

Published: 06 Dec 2023

Dependencies (5)

  1. yojson >= "2.0.0"
  2. dot-merlin-reader >= "4.9"
  3. merlin-lib = version
  4. dune >= "2.9.0"
  5. ocaml >= "5.1" & < "5.2"

Dev Dependencies (2)

  1. ppxlib with-test
  2. conf-jq with-test

Used by (9)

  1. bastet >= "1.2.4" & < "2.0.0"
  2. gopcaml-mode >= "0.0.3"
  3. gopcaml-mode-merlin
  4. melange >= "3.0.0-51"
  5. ocamleditor >= "1.15.2-ocaml414"
  6. reason < "1.7.4"
  7. sihl < "0.1.0"
  8. starterkit
  9. user-setup < "0.2"

Conflicts (2)

  1. base-effects
  2. seq != "base"